%{!?perl_vendorlib:  %define perl_vendorlib  %(eval "`%{__perl} -V:installvendorlib`" ; echo $installvendorlib)}
%{!?perl_vendorarch: %define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)}
%{!?perl_version:    %define perl_version    %(eval "`%{__perl} -V:version`"          ; echo $version)}

%define modn   Params-Util
%define modv   0.38


Summary:       Simple and correct param-checking functions for Perl
Name:          perl-%{modn}
Version:       %{modv}
Release:       1%{?dist}%{?pext}
License:       GPL+ or Artistic
Group:         Development/Libraries
Source0:       http://search.cpan.org/CPAN/authors/id/A/AD/ADAMK/%{modn}-%{modv}.tar.gz
URL:           http://search.cpan.org/dist/%{modn}/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Adam Kennedy <adamk@cpan.org>
Requires:      perl(:MODULE_COMPAT_%{perl_version})
BuildRequires: perl >= 5.005
BuildRequires: perl(Config)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec) >= 0.80
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More) >= 0.42


%description
Params::Util provides a basic set of importable functions that makes checking
parameters a hell of a lot easier. While they can be (and are) used in other
contexts, the main point behind this module is that the functions both Do What
You Mean, and Do The Right Thing, so they are most useful when you are getting
params passed into your code from someone and/or somewhere else and you can't
really trust the quality.


%prep
%setup -q -n %{modn}-%{modv}


%build
%{__perl} \
	Makefile.PL          \
	INSTALLDIRS="vendor" \
	OPTIMIZE="${RPM_OPT_FLAGS}"

%{__make} %{?_smp_mflags}


%check
%{?el3:%{__rm} t/{01_compile,11_compile,12_util}.t}
%{__make} test


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

%{__make} \
	PERL_INSTALL_ROOT=${RPM_BUILD_ROOT} \
	pure_install

find ${RPM_BUILD_ROOT} -type f -name ".packlist"       -exec %{__rm} -f {} \;
find ${RPM_BUILD_ROOT} -type f -name "*.bs" -a -size 0 -exec %{__rm} -f {} \;
find ${RPM_BUILD_ROOT} -depth  -empty -type d          -exec rmdir      {} \;

%{__chmod} -R u+w ${RPM_BUILD_ROOT}/*


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc Changes LICENSE README
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Params
%{_mandir}/man3/*.3*


%changelog
* Wed Mar 18 2009 Peter Pramberger <peterpramb@member.fsf.org> - 0.38-1
- Initial build
